
Redmine - Defect #8619

Git: 404 just for looking at the "repository" tab

2011-06-15 17:37 - Dave Abrahams

Status: Closed Start date: 2011-06-15

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.2.0

Description

I have a project using a Git repo.  Clicking the repository tab used to work; now I just get a 404.  I'd point you there but it's

password-protected.  How can I debug this?

History

#1 - 2011-06-15 18:20 - Etienne Massip

Have a look at production.log ?

#2 - 2011-06-16 10:20 - Toshi MARUYAMA

- Subject changed from 404 just for looking at the "repository" tab to Git: 404 just for looking at the "repository" tab

- Category set to SCM

#3 - 2011-06-20 03:44 - Jean-Baptiste Barth

Etienne Massip wrote:

Have a look at production.log ?

 +1

Plus you should try to go to the local directory where your git repo is :

if it's a normal repo (working copy), try a git status and see if any error is returned

if it's a bare repo, I presume you synchronize it from an other server. Check the output of your sync script/command (usually a git pull of git fetch)

#4 - 2011-06-20 04:26 - Dave Abrahams

Jean-Baptiste Barth wrote:

Etienne Massip wrote:

Have a look at production.log ?

 +1

 Here's what I get:

Processing RepositoriesController#show (for 207.172.223.249 at 2011-06-19 19:21:12) [GET]

  Parameters: {"action"=>"show", "id"=>"xxxx", "controller"=>"repositories"}

Rendering template within layouts/base

Rendering common/error (404)

Completed in 95ms (View: 49, DB: 3) | 404 Not Found [https://hub.boostpro.com/projects/xxxx/repository]

 if it's a bare repo, I presume you synchronize it from an other server.

 No, this happens to be the server with the "master" bare repository, so I'm just pointed at it.  No sync to check.  And I can clone the bare repo locally

and do git checkout without complaints.

#5 - 2011-06-20 06:07 - Jean-Baptiste Barth
Then maybe it could be because the user running Redmine doesn't have enough permissions on the .git/ directory. And check you're actually pointing

to the .git/ directory and not the root of the working copy.

#6 - 2011-06-20 16:00 - Dave Abrahams

Jean-Baptiste Barth wrote:

Then maybe it could be because the user running Redmine doesn't have enough permissions on the .git/ directory. And check you're actually

pointing to the .git/ directory and not the root of the working copy.

 Again, it's a bare repository.  Also, I can clone the repository and do git status both as the redmine and the webserver users.  Also, this was working

before I upgraded...

...wait a second: my redmine configuration is showing some exclamation marks.  It says I need to edit configuration.yml to set up the SCM command. 

OK, that fixed it.  But...

What's configuration.yml?  Is this a new thing?  Everything worked before I upgraded redmine.  Shouldn't the upgrade instructions have mentioned

this?

#7 - 2011-06-20 19:34 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Invalid

Dave Abrahams wrote:

What's configuration.yml?  Is this a new thing?  Everything worked before I upgraded redmine.  Shouldn't the upgrade instructions have

mentioned this?

 New since 1.2.0.

I just made some update to RedmineInstall and RedmineRepositories to include this file.
https://www.redmine.org/versions/27
https://www.redmine.org/projects/redmine/wiki/RedmineInstall
https://www.redmine.org/projects/redmine/wiki/RedmineRepositories
